let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.05";
    rev = "471d92178b978fcbad8db27c2e8a4e737d4e0e27";
  };
in

{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "0e6df35f39651504249a05191f9a78d251707e22";
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = "f93f9f43c6b3347b2091a8a41421d31e84cb9275";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "969c3ccf30a6cf8f7d431f097743a491b0eda4f7";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.05";
    rev = "b81e128fc053ab3159d7b464d9b7dedc9d6a6891";
  };
}
